Subject: Re: libiconv-1.7 on cygwin-1.3.2 problems
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Sun, 29 Jul 2001 20:31:04 +0200

Gerrit P. Haase schrieb am 2001-07-29, 19:35:

: Charles Wilson schrieb am 2001-07-29, 12:10:
: 
: [...]
: : > I got now problems building bleadperl. 
: : > At first configure isn't able to find libiconv, because there is no libiconv.a:
: : > [...]
: : > No -lPW.
: : > No -lx.
: : > No -liconv.
: : > No -lutil.
: : > Found -lcygipc.
: : > [...]
: : > 
: : > How to create a valid libiconv.a or against what should i link instead of
: : > libiconv.a?
: : 
: : cd /usr/bin && rm cygiconv*.dll
: : cd /usr/lib && rm libiconv.dll.a
: : --> removing the dll stuff will force the link to use the static 
: : archive.  Which should work.  Currently, configure is trying to link, ld 
: : uses the .dll.a by default and FAILS, so assumes that it can't work.
: 
: Isn't it possible to link in the dynamic libiconv? 
: 
: [...]

I changed the perl Configure to look for libiconv.dll.a and now it is found:
[...]
No -lPW.
No -lx.
Found -liconv.dll.
No -lutil.
Found -lcygipc.
[...]

And it builds (and linked ok), but will it work?

PATH=/src/buildperl:.:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/sbin:/usr/sbin:/usr/local/sbin:.:/src/suckers/stic_dir/scripts:/usr/local:/etc:/usr/l
ib:/lib:/usr/libexec ld2 -s -L/usr/local/lib -o libperl5_7_2.dll \
perl.o malloc.o gv.o toke.o perly.o op.o regcomp.o dump.o util.o mg.o hv.o av.o run.o pp_hot.o sv.o pp.o scope.o pp_ctl.o pp_sys.o doop.o doio.o 
regexec.o utf8.o taint.o deb.o universal.o xsutils.o globals.o perlio.o perlapi.o numeric.o locale.o pp_pack.o cygwin.o -lcrypt -liconv.dll -lcygipc 
dllwrap --dllname libperl5_7_2.dll --driver-name gcc --dlltool dlltool --export-all-symbols --as as --output-def libperl5_7_2.def --output-lib 
libperl5_7_2.a \
-s -L/usr/local/lib perl.o malloc.o gv.o toke.o perly.o op.o regcomp.o dump.o util.o mg.o hv.o av.o run.o pp_hot.o sv.o pp.o scope.o pp_ctl.o pp_sys.o 
doop.o doio.o regexec.o utf8.o taint.o deb.o universal.o xsutils.o globals.o perlio.o perlapi.o numeric.o locale.o pp_pack.o cygwin.o -lcrypt 
-liconv.dll -lcygipc
dllwrap: no export definition file provided
dllwrap: creating one, but that may not be what you want

I wonder, why no libiconv.a is generated during building libiconv, are all
the lib*.a coming with the .dll's (like libz.a) static versions of the libraries?

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/